import { createApp } from 'vue'
// import CSS global
import './assets/style.css'
// import app vue racine
import App from './App.vue'
// import composants
import TitleContent from './components/TitleContent.vue'
import InfoContent from './components/InfoContent.vue'
  //title
import TitleText from './titleComponents/TitleText.vue'
import GeneratedContent from './titleComponents/GeneratedContent.vue'
import MusicPlayer from './titleComponents/MusicPlayer.vue'
import ColorBtn from './titleComponents/ColorBtn.vue'
  //info
import InfoMenu from './infoComponents/InfoMenu.vue'
import InboxContent from './infoComponents/InboxContent.vue'
  //indie
import ArtistPannel from './indieComponents/ArtistPannel.vue'
import NewsletterPannel from './indieComponents/NewsletterPannel.vue'
import ContactPannel from './indieComponents/ContactPannel.vue'
import InstaPannel from './indieComponents/InstaPannel.vue'
import MessagePannel from './indieComponents/MessagePannel.vue'
import FollowPannel from './indieComponents/FollowPannel.vue'
import VisualizerPannel from './indieComponents/VisualizerPannel.vue'
import LinkPannel from './indieComponents/LinkPannel.vue'
import DonationPannel from './indieComponents/DonationPannel.vue'
import TicketPannel from './indieComponents/TicketPannel.vue'

import Infobubble from './indieComponents/Infobulle.vue'

import GraffOverlay from './indieComponents/GraffOverlay.vue'

// création app racine
const app = createApp(App);

//Composants
app.component('TitleDiv', TitleContent);
app.component('InfoDiv', InfoContent);
  //title
app.component('PlayerDiv', MusicPlayer);
app.component('TitleTextDiv', TitleText);
app.component('GeneratedDiv',GeneratedContent);
  //info
app.component('InfoMenuDiv', InfoMenu);
app.component('InboxDiv', InboxContent);
  //indie
app.component('ArtistPan', ArtistPannel);
app.component('NewsPan', NewsletterPannel);
app.component('ContactPan', ContactPannel);
app.component('InstaPan', InstaPannel);
app.component('MessagePan', MessagePannel);
app.component('FollowPan', FollowPannel);
app.component('VisualizerPan', VisualizerPannel);
app.component('LinkPan', LinkPannel);
app.component('DonationPan', DonationPannel);
app.component('TicketPan', TicketPannel);

app.component('Infobulle', Infobubble);
app.component('ColorPan', ColorBtn);
app.component('GraffOver', GraffOverlay);

//Montage dans div#app de index.html
app.mount('#app');
